Skip to main content
GET
/
o
/
{organisation_id}
/
projects
/
{project_id}
/
traces
List project traces
curl --request GET \
  --url https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/traces \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "traceId": "<string>",
      "spanId": "<string>",
      "name": "<string>",
      "serviceName": "<string>",
      "startTime": "2023-11-07T05:31:56Z",
      "duration": "<string>",
      "executionId": "<string>"
    }
  ],
  "nextToken": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.versori.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.

Path Parameters

organisation_id
string<ulid>
required
project_id
string<ulid>
required

Query Parameters

next_token
string
start
string
end
string
filter
string

Filter executions by attribute.

Example query: 'http.request.method:POST executionId:01JSPK1SB6S622T6E1P9BBJTWP'

Available attributes are:

  • "taskId"
  • "taskType"
  • "executionId"
  • "error.message"
  • "error.stack"
  • "schedule"
  • "connection"
  • "http.request.method"
  • "http.response.status_code"
  • "server.address"
  • "server.port"
  • "url.full"
  • "url.path"
  • "url.query"
  • "url.scheme"
error
boolean
task
string
project_env
string

Response

OK

items
object[]
required
nextToken
string